// A. TAUVEL & N. SIMOND
// Sim'bot ou comment se comporte un robot suiveur de ligne
// version 26/02/09
//-----------------------------------------------------------------------------
// Detail de la trajectoire de test : ligne droite verticale, tournant a droite, 
//-----------------------------------------------------------------------------

// Courbe : 47 cm de courbure (=47 points) a  R=30 cm
// les distances sont exprimees en cm
// les durees sont exprimees en ms

// coordonnees des points de la piste
Theta   = [%pi:-%pi/(2*46):%pi/2];
Theta2  = [-%pi/2:%pi/(2*46):%pi/2];
Theta3  = [3*%pi/2:-%pi/(2*46):%pi/2];
Theta4  = [3*%pi/2:-%pi/(2*46):%pi];

trajectoire_x   = [100*ones(1,20),...
                   30*cos(Theta)+130,...
                   30*cos(Theta2)+130,...
                   30*cos(Theta3)+130,...
                   30*cos(Theta2)+130,...
                   30*cos(Theta4)+130,...
                   100*ones(1,40)];
trajectoire_y   = [1:20,...
                   30*sin(Theta)+20,...
                   30*sin(Theta2)+80,...
                   30*sin(Theta3)+140,...
                   30*sin(Theta2)+200,...
                   30*sin(Theta4)+260,...
                   261:300];

// structure dediee a la piste suivie par le robot
Piste = struct('bord_x', 300,...                // limite verticale de la piste
               'bord_y', 300,...                // limite horizontale de la piste
               'coord', [trajectoire_x; trajectoire_y; ones(1,length(trajectoire_x))],...             
               'length', length(trajectoire_x),...
               'largeur', 2,...                 // largeur de la piste
               'Init', [102;0;1],...            // position initiale du robot               
               'simu_time', 8000);              // duree maximale de la simulation

clear Theta Theta2 Theta3 Theta4 trajectoire_x trajectoire_y;
